botprofile_tps_binding

Last published : Oct 30, 2026
Binding object showing the tps that can be bound to botprofile.

Properties

(click to see Operations )
Name Data Type Permissions Description
bot_tps_type <String> Read-write Type of TPS binding.
Possible values = SOURCE_IP, GEOLOCATION, REQUEST_URL, Host
bot_tps_action <String[]> Read-write One to more actions to be taken if bot is detected based on this TPS binding. Only LOG action can be combined with DROP, RESET, REDIRECT, or MITIGIATION action.
Default value: NONE
Possible values = NONE, LOG, DROP, REDIRECT, RESET, MITIGATION
name <String> Read-write Name for the profile. Must begin with a letter, number, or the underscore character (_), and must contain only letters, numbers, and the hyphen (-), period (.), pound (#), space ( ), at (@), equals (=), colon (:), and underscore (_) characters. Cannot be changed after the profile is added.
The following requirement applies only to the Citrix ADC CLI: If the name includes one or more spaces, enclose the name in double or single quotation marks (for example, "my profile" or 'my profile').
Minimum length = 1
Maximum length = 31
Minimum value = 10
Minimum length = 1
Minimum value = 1
Default value: ON
Possible values = ON, OFF
Minimum length = 1

Operations

(click to see Properties )
  • ADD
  • DELETE
  • GET
  • GET (ALL)
  • COUNT
Some options that you can use for each operations:
  • Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:
    http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yes
    If any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
  • Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,
    To do this, you must specify the username and password in the request header of the NITRO request as follows:
    X-NITRO-USER: <username>
    X-NITRO-PASS: <password>
    Note: In such cases, make sure that the request header DOES not include the following:
    Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green

add

URL: http:// <netscaler-ip-address /nitro/v1/config/botprofile_tps_binding HTTP Method: PUT
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:

{
"botprofile_tps_binding":{
<b>"name":<String_value>,
</b>"bot_tps":<Boolean_value>,
"bot_tps_type":<String_value>,
"threshold":<Double_value>,
"percentage":<Double_value>,
"bot_tps_action":<String[]_value>,
"bot_tps_enabled":<String_value>,
"logmessage":<String_value>,
"bot_bind_comment":<String_value>
}}
Response: HTTP Status Code on Success: 201 Created
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error

delete

URL: http:// <netscaler-ip-address> /nitro/v1/config/botprofile_tps_binding/ name_value<String> Query-parameters: args http:// <netscaler-ip-address> /nitro/v1/config/botprofile_tps_binding/ name_value<String> ? args=bot_tps: <Boolean_value> ,bot_tps_type: <String_value>
HTTP Method: DELETE
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error

get

URL: http:// <netscaler-ip-address> /nitro/v1/config/botprofile_tps_binding/ name_value<String> Query-parameters: filter http:// <netscaler-ip-address> /nitro/v1/config/botprofile_tps_binding/ name_value<String> ? filter=property-name1:property-value1,property-name2:property-value2
Use this query-parameter to get the filtered set of botprofile_tps_binding resources configured on NetScaler.Filtering can be done on any of the properties of the resource.
pagination http:// <netscaler-ip-address> /nitro/v1/config/botprofile_tps_binding/ name_value<String> ? pagesize=#no;pageno=#no
Use this query-parameter to get the botprofile_tps_binding resources in chunks.
HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:

{  "botprofile_tps_binding": [ {
"bot_tps_type":<String_value>,
"bot_tps_action":<String[]_value>,
"name":<String_value>,
"percentage":<Double_value>,
"bot_bind_comment":<String_value>,
"threshold":<Double_value>,
"bot_tps_enabled":<String_value>,
"logmessage":<String_value>,
"bot_tps":<Boolean_value>
}]}

get (all)

URL: http:// <netscaler-ip-address> /nitro/v1/config/botprofile_tps_binding HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Query-parameters: bulkbindings http:// <netscaler-ip-address> /nitro/v1/config/botprofile_tps_binding? bulkbindings=yes
NITRO allows you to fetch bindings in bulk.
Note: get (all) method can be used only in conjuction with bulkbindings query parameter.
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:

{  "botprofile_tps_binding": [ {
"bot_tps_type":<String_value>,
"bot_tps_action":<String[]_value>,
"name":<String_value>,
"percentage":<Double_value>,
"bot_bind_comment":<String_value>,
"threshold":<Double_value>,
"bot_tps_enabled":<String_value>,
"logmessage":<String_value>,
"bot_tps":<Boolean_value>
}]}

count

URL: http:// <netscaler-ip-address> /nitro/v1/config/botprofile_tps_binding/ name_value<String> ? count=yes HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:

{"botprofile_tps_binding": [ { "__count": "#no"} ] }